# $Revision: 1.51 $, $Date: 2002/05/03 15:36:01 $
Summary:	IP protocols logger
Summary(es):	Analizador de paquetes IP
Summary(pl):	Program logujcy informacje na temat protokow IP
Summary(pt_BR):	Analisador de pacotes IP
Name:		ippl
Version:	1.99.5
Release:	9
License:	GPL
Vendor:		Hugo Haas & Etienne Bernard <ippl@via.ecp.fr>
Group:		Networking
Source0:	http://www.via.ecp.fr/~hugo/ippl/archive/dev/%{name}-%{version}.tar.gz
Source1:	%{name}d.init
Source2:	%{name}.logrotate
Source3:	%{name}.conf
URL:		http://www.via.ecp.fr/~hugo/ippl/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
PreReq:		/sbin/chkconfig
PreReq:		rc-scripts
Requires:	logrotate
Requires:	psmisc >= 20.1
Obsoletes:	iplog
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc

%description
IP protocols logger - logs TCP, UDP and ICMP.

%description -l es
Analizador de paquetes IP.

%description -l pl
Program logujcy informacje na temat protokow IP - TCP, UDP oraz
ICMP.

%description -l pt_BR
O IPPL registra pacotes IP enviados  um sistema.

%prep
%setup -q

%build
aclocal
autoconf
%configure \
	--enable-cache-debug

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc/{logrotate.d,rc.d/init.d},var/log/{archiv/ippl,ippl}} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man{5,8}}

install source/ippl $RPM_BUILD_ROOT%{_sbindir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ippl
install %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/ippl
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/ippl.conf

install docs/*.5 $RPM_BUILD_ROOT%{_mandir}/man5
install docs/*.8 $RPM_BUILD_ROOT%{_mandir}/man8

> $RPM_BUILD_ROOT/var/log/ippl/tcp.log
> $RPM_BUILD_ROOT/var/log/ippl/udp.log
> $RPM_BUILD_ROOT/var/log/ippl/icmp.log

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ippl
if [ -f /var/lock/subsys/ippl ]; then
	/etc/rc.d/init.d/ippl restart >&2
else
	echo "Run \"/etc/rc.d/init.d/ippl start\" to start ippld daemon."
fi

%preun
if [ "$0" = "1" ]; then
	if [ -f /var/lock/subsys/ippl ]; then
		/etc/rc.d/init.d/ippl stop >&2
	fi
	/sbin/chkconfig --del ippl
fi

%files
%defattr(644,root,root,755)
%attr(640,root,root) /etc/logrotate.d/ippl
%attr(754,root,root) /etc/rc.d/init.d/ippl
%attr(755,root,root) %{_sbindir}/ippl
%attr(750,root,root) %dir /var/log/ippl
%attr(750,root,root) %dir /var/log/archiv/ippl
%attr(640,root,root) %ghost /var/log/ippl/*
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/ippl.conf
%{_mandir}/man[58]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ippl.spec,v $
Revision 1.51  2002/05/03 15:36:01  kloczek
- release 9: merge translations from Conectiva.

Revision 1.50  2002/04/25 16:37:11  arturs
fixed a small typo

Revision 1.49  2002/03/10 22:46:12  fvk
- release 8: bugfix - s/ippld/ippl/ in config file for logrotate

Revision 1.48  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.47  2002/02/05 20:28:55  gotar
- Obsoletes: iplog

Revision 1.46  2002/02/02 23:52:48  ankry
- adding es/pt_BR Group translations

Revision 1.45  2002/01/18 02:13:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.44  2001/10/06 12:36:46  blues
- release 7
- ac2.5 ready

Revision 1.43  2001/07/26 05:42:09  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.41  2001/04/28 16:17:13  kloczek
- cosmetic.

Revision 1.40  2001/04/28 15:04:26  qboosh
- changed "xargs killall" to "/bin/killall" in logrotate script
  (what xargs was for???)
- Requires: psmisc >= 20.1 (because of /bin/killall used in logrotate script)
- release 6

Revision 1.39  2001/04/09 08:25:29  mkochano
- Release 5
- Rebuilt with corrected logrotate script (/usr/bin/killall -> /bin/killall).

Revision 1.38  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.37  2000/11/12 11:47:56  kloczek
- release 4: use nw rpm automation.

Revision 1.36  2000/07/05 22:03:44  funto
updated to 1.99.5

Revision 1.35  2000/06/30 08:36:33  qboosh
- BuildRequires: flex, bison

Revision 1.34  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.33  2000/05/21 01:39:51  kloczek
- spec adapterized.

Revision 1.32  2000/04/01 11:14:46  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.31  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.30  2000/03/28 13:09:10  baggins
- release ++
- updated init script to rc-scripts 0.2.0

Revision 1.29  2000/02/05 19:24:47  waszi

- small fixes

Revision 1.28  2000/01/29 00:57:57  kloczek
- release 2,
- fix in initscript: now this script is pure POSIX sh.

Revision 1.27  2000/01/27 16:51:04  kloczek
- updated to 1.99.1,
- spec adapterized,
- fixed %post and %postun.

Revision 1.26  1999/08/05 21:17:57  kloczek
- release 3,
- fixed rc script with correct checking is network is up.
